Package ru.bitel.bgbilling.kernel.tariff.option.server.event

# Class TariffOptionListAvailableEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.tariff.option.server.event.TariffOptionListAvailableEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class TariffOptionListAvailableEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffOptionListAvailableEvent(int contractId, int userId, Date date, Contract contract, Set<Integer> tariffIds, List<ContractTariffOption> currentContractOptionList, boolean onlyAvailable, boolean customer, List<TariffOption> tariffOptionList)`
  `TariffOptionListAvailableEvent(int contractId, int userId, Date date, Contract contract, Set<Integer> tariffIds, List<ContractTariffOption> currentContractOptionList, boolean onlyAvailable, List<TariffOption> tariffOptionList)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Contract`
  `getContract()`
  `List<ContractTariffOption>`
  `getCurrentContractOptionList()`
  `Date`
  `getDate()`
  `Set<Integer>`
  `getTariffIds()`
  `List<TariffOption>`
  `getTariffOptionList()`
  `boolean`
  `isCustomer()`
  `boolean`
  `isOnlyAvailable()`
  `void`
  `setTariffOptionList(List<TariffOption> tariffOptionList)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TariffOptionListAvailableEvent

    public TariffOptionListAvailableEvent(int contractId, int userId, Date date, Contract contract, Set<Integer> tariffIds, List<ContractTariffOption> currentContractOptionList, boolean onlyAvailable, boolean customer, List<TariffOption> tariffOptionList)

  - ### TariffOptionListAvailableEvent

    @Deprecated public TariffOptionListAvailableEvent(int contractId, int userId, Date date, Contract contract, Set<Integer> tariffIds, List<ContractTariffOption> currentContractOptionList, boolean onlyAvailable, List<TariffOption> tariffOptionList)
    Deprecated.

- ## Method Details

  - ### getDate

    public Date getDate()

  - ### getContract

    public Contract getContract()

  - ### getTariffIds

    public Set<Integer> getTariffIds()

  - ### getCurrentContractOptionList

    public List<ContractTariffOption> getCurrentContractOptionList()

  - ### isOnlyAvailable

    public boolean isOnlyAvailable()

  - ### getTariffOptionList

    public List<TariffOption> getTariffOptionList()

  - ### setTariffOptionList

    public void setTariffOptionList(List<TariffOption> tariffOptionList)

  - ### isCustomer

    public boolean isCustomer()